<?xml version="1.0" encoding="UTF-8"?>
<testsuite xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="https://maven.apache.org/surefire/maven-surefire-plugin/xsd/surefire-test-report-3.0.xsd" version="3.0" name="com.csnf.StudentMapperTest" time="0.727" tests="1" errors="1" skipped="0" failures="0">
  <properties>
    <property name="java.specification.version" value="17"/>
    <property name="sun.cpu.isalist" value="amd64"/>
    <property name="sun.jnu.encoding" value="GBK"/>
    <property name="java.class.path" value="C:\Users\csnf\IdeaProjects\p5\target\test-classes;C:\Users\csnf\IdeaProjects\p5\target\classes;C:\Server\apache-maven-3.9.9\repository\junit\junit\4.13.1\junit-4.13.1.jar;C:\Server\apache-maven-3.9.9\repository\org\hamcrest\hamcrest-core\1.3\hamcrest-core-1.3.jar;C:\Server\apache-maven-3.9.9\repository\javax\servlet\javax.servlet-api\4.0.1\javax.servlet-api-4.0.1.jar;C:\Server\apache-maven-3.9.9\repository\javax\servlet\jsp\javax.servlet.jsp-api\2.3.3\javax.servlet.jsp-api-2.3.3.jar;C:\Server\apache-maven-3.9.9\repository\javax\servlet\jstl\1.2\jstl-1.2.jar;C:\Server\apache-maven-3.9.9\repository\taglibs\standard\1.1.2\standard-1.1.2.jar;C:\Server\apache-maven-3.9.9\repository\com\mysql\mysql-connector-j\8.0.33\mysql-connector-j-8.0.33.jar;C:\Server\apache-maven-3.9.9\repository\com\google\protobuf\protobuf-java\3.21.9\protobuf-java-3.21.9.jar;C:\Server\apache-maven-3.9.9\repository\org\mybatis\mybatis\3.5.17\mybatis-3.5.17.jar;C:\Server\apache-maven-3.9.9\repository\org\projectlombok\lombok\1.18.36\lombok-1.18.36.jar;C:\Server\apache-maven-3.9.9\repository\log4j\log4j\1.2.17\log4j-1.2.17.jar;"/>
    <property name="java.vm.vendor" value="Oracle Corporation"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="user.variant" value=""/>
    <property name="java.vendor.url" value="https://java.oracle.com/"/>
    <property name="user.timezone" value="Asia/Shanghai"/>
    <property name="os.name" value="Windows 10"/>
    <property name="java.vm.specification.version" value="17"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="user.country" value="CN"/>
    <property name="sun.boot.library.path" value="C:\Program Files\Java\jdk-17\bin"/>
    <property name="sun.java.command" value="C:\Users\csnf\AppData\Local\Temp\surefire7394410932022606733\surefirebooter-20241225161824009_3.jar C:\Users\csnf\AppData\Local\Temp\surefire7394410932022606733 2024-12-25T16-18-22_674-jvmRun1 surefire-20241225161824009_1tmp surefire_0-20241225161824009_2tmp"/>
    <property name="jdk.debug" value="release"/>
    <property name="surefire.test.class.path" value="C:\Users\csnf\IdeaProjects\p5\target\test-classes;C:\Users\csnf\IdeaProjects\p5\target\classes;C:\Server\apache-maven-3.9.9\repository\junit\junit\4.13.1\junit-4.13.1.jar;C:\Server\apache-maven-3.9.9\repository\org\hamcrest\hamcrest-core\1.3\hamcrest-core-1.3.jar;C:\Server\apache-maven-3.9.9\repository\javax\servlet\javax.servlet-api\4.0.1\javax.servlet-api-4.0.1.jar;C:\Server\apache-maven-3.9.9\repository\javax\servlet\jsp\javax.servlet.jsp-api\2.3.3\javax.servlet.jsp-api-2.3.3.jar;C:\Server\apache-maven-3.9.9\repository\javax\servlet\jstl\1.2\jstl-1.2.jar;C:\Server\apache-maven-3.9.9\repository\taglibs\standard\1.1.2\standard-1.1.2.jar;C:\Server\apache-maven-3.9.9\repository\com\mysql\mysql-connector-j\8.0.33\mysql-connector-j-8.0.33.jar;C:\Server\apache-maven-3.9.9\repository\com\google\protobuf\protobuf-java\3.21.9\protobuf-java-3.21.9.jar;C:\Server\apache-maven-3.9.9\repository\org\mybatis\mybatis\3.5.17\mybatis-3.5.17.jar;C:\Server\apache-maven-3.9.9\repository\org\projectlombok\lombok\1.18.36\lombok-1.18.36.jar;C:\Server\apache-maven-3.9.9\repository\log4j\log4j\1.2.17\log4j-1.2.17.jar;"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="user.home" value="C:\Users\csnf"/>
    <property name="user.language" value="zh"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="java.version.date" value="2024-07-16"/>
    <property name="java.home" value="C:\Program Files\Java\jdk-17"/>
    <property name="file.separator" value="\"/>
    <property name="basedir" value="C:\Users\csnf\IdeaProjects\p5"/>
    <property name="java.vm.compressedOopsMode" value="Zero based"/>
    <property name="line.separator" value="&#10;"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="surefire.real.class.path" value="C:\Users\csnf\AppData\Local\Temp\surefire7394410932022606733\surefirebooter-20241225161824009_3.jar"/>
    <property name="user.script" value=""/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="java.runtime.version" value="17.0.12+8-LTS-286"/>
    <property name="user.name" value="csnf"/>
    <property name="path.separator" value=";"/>
    <property name="os.version" value="10.0"/>
    <property name="java.runtime.name" value="Java(TM) SE Runtime Environment"/>
    <property name="file.encoding" value="GBK"/>
    <property name="java.vm.name" value="Java HotSpot(TM) 64-Bit Server VM"/>
    <property name="localRepository" value="C:\Server\apache-maven-3.9.9\repository"/>
    <property name="java.vendor.url.bug" value="https://bugreport.java.com/bugreport/"/>
    <property name="java.io.tmpdir" value="C:\Users\csnf\AppData\Local\Temp\"/>
    <property name="idea.version" value="2024.3"/>
    <property name="java.version" value="17.0.12"/>
    <property name="user.dir" value="C:\Users\csnf\IdeaProjects\p5"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="sun.os.patch.level" value=""/>
    <property name="native.encoding" value="GBK"/>
    <property name="java.library.path" value="C:\Program Files\Java\jdk-17\bin;C:\Windows\Sun\Java\bin;C:\Windows\system32;C:\Windows;C:\Program Files (x86)\VMware\VMware Workstation\bin\;C:\Program Files\Common Files\Oracle\Java\javapath;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Windows\System32\OpenSSH\;C:\Program Files\dotnet\;C:\Program Files\TortoiseGit\bin;C:\Program Files\Git\cmd;C:\Program Files\nodejs\;C:\Program Files\MySQL\MySQL Server 9.1\bin;C:\Program Files (x86)\NetSarang\Xshell 8\;C:\Program Files (x86)\NetSarang\Xftp 8\;C:\Program Files (x86)\AOMEI\AOMEI Backupper\6.10.1;C:\Users\csnf\AppData\Local\Programs\Python\Python313\Scripts\;C:\Users\csnf\AppData\Local\Programs\Python\Python313\;C:\Users\csnf\AppData\Local\Microsoft\WindowsApps;C:\Users\csnf\.dotnet\tools;C:\Users\csnf\AppData\Local\Programs\Microsoft VS Code\bin;C:\Program Files\JetBrains\IntelliJ IDEA 2024.3\bin;;C:\Program Files\JetBrains\WebStorm 2024.3\bin;;C:\Program Files\JetBrains\PyCharm 2024.3\bin;;C:\Users\csnf\AppData\Roaming\npm;."/>
    <property name="java.vm.info" value="mixed mode, sharing"/>
    <property name="java.vendor" value="Oracle Corporation"/>
    <property name="java.vm.version" value="17.0.12+8-LTS-286"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="maven.repo.local" value="C:\Server\apache-maven-3.9.9\repository"/>
    <property name="java.class.version" value="61.0"/>
  </properties>
  <testcase name="testInsert" classname="com.csnf.StudentMapperTest" time="0.664">
    <error message="&#10;### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near &apos;&quot;name&quot;, &quot;sex&quot;, &quot;phone&quot;&#10;      )&#10;    values (&apos;张三&apos;, 1, &apos;123456789&apos;&#10;      )&apos; at line 1&#10;### The error may exist in com/csnf/mapper/StudentMapper.xml&#10;### The error may involve com.csnf.mapper.StudentMapper.insert-Inline&#10;### The error occurred while setting parameters&#10;### SQL: insert into student (&quot;name&quot;, &quot;sex&quot;, &quot;phone&quot;       )     values (?, ?, ?       )&#10;### Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near &apos;&quot;name&quot;, &quot;sex&quot;, &quot;phone&quot;&#10;      )&#10;    values (&apos;张三&apos;, 1, &apos;123456789&apos;&#10;      )&apos; at line 1" type="org.apache.ibatis.exceptions.PersistenceException"><![CDATA[org.apache.ibatis.exceptions.PersistenceException: 

### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '"name", "sex", "phone"
      )
    values ('张三', 1, '123456789'
      )' at line 1
### The error may exist in com/csnf/mapper/StudentMapper.xml
### The error may involve com.csnf.mapper.StudentMapper.insert-Inline
### The error occurred while setting parameters
### SQL: insert into student ("name", "sex", "phone"       )     values (?, ?, ?       )
### Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '"name", "sex", "phone"
      )
    values ('张三', 1, '123456789'
      )' at line 1
	at org.apache.ibatis.exceptions.ExceptionFactory.wrapException(ExceptionFactory.java:30)
	at org.apache.ibatis.session.defaults.DefaultSqlSession.update(DefaultSqlSession.java:199)
	at org.apache.ibatis.session.defaults.DefaultSqlSession.insert(DefaultSqlSession.java:184)
	at org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)
	at org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:141)
	at org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)
	at jdk.proxy2/jdk.proxy2.$Proxy9.insert(Unknown Source)
	at com.csnf.StudentMapperTest.testInsert(StudentMapperTest.java:26)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:568)
	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:59)
	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:56)
	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
	at org.junit.runners.ParentRunner$3.evaluate(ParentRunner.java:306)
	at org.junit.runners.BlockJUnit4ClassRunner$1.evaluate(BlockJUnit4ClassRunner.java:100)
	at org.junit.runners.ParentRunner.runLeaf(ParentRunner.java:366)
	at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:103)
	at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:63)
	at org.junit.runners.ParentRunner$4.run(ParentRunner.java:331)
	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:79)
	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:329)
	at org.junit.runners.ParentRunner.access$100(ParentRunner.java:66)
	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:293)
	at org.junit.runners.ParentRunner$3.evaluate(ParentRunner.java:306)
	at org.junit.runners.ParentRunner.run(ParentRunner.java:413)
	at org.apache.maven.surefire.junit4.JUnit4Provider.execute(JUnit4Provider.java:316)
	at org.apache.maven.surefire.junit4.JUnit4Provider.executeWithRerun(JUnit4Provider.java:240)
	at org.apache.maven.surefire.junit4.JUnit4Provider.executeTestSet(JUnit4Provider.java:214)
	at org.apache.maven.surefire.junit4.JUnit4Provider.invoke(JUnit4Provider.java:155)
	at org.apache.maven.surefire.booter.ForkedBooter.runSuitesInProcess(ForkedBooter.java:385)
	at org.apache.maven.surefire.booter.ForkedBooter.execute(ForkedBooter.java:162)
	at org.apache.maven.surefire.booter.ForkedBooter.run(ForkedBooter.java:507)
	at org.apache.maven.surefire.booter.ForkedBooter.main(ForkedBooter.java:495)
Caused by: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '"name", "sex", "phone"
      )
    values ('张三', 1, '123456789'
      )' at line 1
	at com.mysql.cj.jdbc.exceptions.SQLError.createSQLException(SQLError.java:121)
	at com.mysql.cj.jdbc.exceptions.SQLExceptionsMapping.translateException(SQLExceptionsMapping.java:122)
	at com.mysql.cj.jdbc.ClientPreparedStatement.executeInternal(ClientPreparedStatement.java:916)
	at com.mysql.cj.jdbc.ClientPreparedStatement.execute(ClientPreparedStatement.java:354)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:568)
	at org.apache.ibatis.logging.jdbc.PreparedStatementLogger.invoke(PreparedStatementLogger.java:58)
	at jdk.proxy3/jdk.proxy3.$Proxy11.execute(Unknown Source)
	at org.apache.ibatis.executor.statement.PreparedStatementHandler.update(PreparedStatementHandler.java:48)
	at org.apache.ibatis.executor.statement.RoutingStatementHandler.update(RoutingStatementHandler.java:75)
	at org.apache.ibatis.executor.SimpleExecutor.doUpdate(SimpleExecutor.java:50)
	at org.apache.ibatis.executor.BaseExecutor.update(BaseExecutor.java:117)
	at org.apache.ibatis.executor.CachingExecutor.update(CachingExecutor.java:76)
	at org.apache.ibatis.session.defaults.DefaultSqlSession.update(DefaultSqlSession.java:197)
	... 34 more
]]></error>
    <system-out><![CDATA[DEBUG [main] - Logging initialized using 'class org.apache.ibatis.logging.log4j.Log4jImpl' adapter.
DEBUG [main] - PooledDataSource forcefully closed/removed all connections.
DEBUG [main] - PooledDataSource forcefully closed/removed all connections.
DEBUG [main] - PooledDataSource forcefully closed/removed all connections.
DEBUG [main] - PooledDataSource forcefully closed/removed all connections.
DEBUG [main] - Class not found: org.jboss.vfs.VFS
DEBUG [main] - JBoss 6 VFS API is not available in this environment.
DEBUG [main] - Class not found: org.jboss.vfs.VirtualFile
DEBUG [main] - VFS implementation org.apache.ibatis.io.JBoss6VFS is not valid in this environment.
DEBUG [main] - Using VFS adapter org.apache.ibatis.io.DefaultVFS
DEBUG [main] - Find JAR URL: file:/C:/Users/csnf/IdeaProjects/p5/target/classes/com/csnf/mapper
DEBUG [main] - Not a JAR: file:/C:/Users/csnf/IdeaProjects/p5/target/classes/com/csnf/mapper
DEBUG [main] - Reader entry: StudentMapper.class
DEBUG [main] - Reader entry: StudentMapper.xml
DEBUG [main] - Listing file:/C:/Users/csnf/IdeaProjects/p5/target/classes/com/csnf/mapper
DEBUG [main] - Find JAR URL: file:/C:/Users/csnf/IdeaProjects/p5/target/classes/com/csnf/mapper/StudentMapper.class
DEBUG [main] - Not a JAR: file:/C:/Users/csnf/IdeaProjects/p5/target/classes/com/csnf/mapper/StudentMapper.class
DEBUG [main] - Reader entry: 漱壕&amp#0;&amp#0;&amp#0;4&amp#0;&amp#18;&amp#7;&amp#0;&amp#2;&amp#1;&amp#0;&amp#29;com/csnf/mapper/StudentMapper&amp#7;&amp#0;&amp#4;&amp#1;&amp#0;&amp#16;java/lang/Object&amp#1;&amp#0;&amp#18;deleteByPrimaryKey&amp#1;&amp#0;&amp#22;(Ljava/lang/Integer;)I&amp#1;&amp#0;&amp#6;insert&amp#1;&amp#0;&amp#28;(Lcom/csnf/entity/Student;)I&amp#1;&amp#0;&amp#18;selectByPrimaryKey&amp#1;&amp#0;.(Ljava/lang/Integer;)Lcom/csnf/entity/Student;&amp#1;&amp#0;	selectAll&amp#1;&amp#0;&amp#18;()Ljava/util/List;&amp#1;&amp#0;	Signature&amp#1;&amp#0;-()Ljava/util/List<Lcom/csnf/entity/Student;>;&amp#1;&amp#0;&amp#18;updateByPrimaryKey&amp#1;&amp#0;
DEBUG [main] - Find JAR URL: file:/C:/Users/csnf/IdeaProjects/p5/target/classes/com/csnf/mapper/StudentMapper.xml
DEBUG [main] - Not a JAR: file:/C:/Users/csnf/IdeaProjects/p5/target/classes/com/csnf/mapper/StudentMapper.xml
DEBUG [main] - Reader entry: <?xml version="1.0" encoding="UTF-8"?>
DEBUG [main] - Checking to see if class com.csnf.mapper.StudentMapper matches criteria [is assignable to Object]
DEBUG [main] - Opening JDBC Connection
DEBUG [main] - Created connection 2119992687.
DEBUG [main] - Setting autocommit to false on JDBC Connection [com.mysql.cj.jdbc.ConnectionImpl@7e5c856f]
DEBUG [main] - ==>  Preparing: insert into student ("name", "sex", "phone" ) values (?, ?, ? )
DEBUG [main] - ==> Parameters: 张三(String), 1(Integer), 123456789(String)
]]></system-out>
  </testcase>
</testsuite>